<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="description" content="Funny happenings and screenshots on the Programming Discord">
        <meta name="keywords" content="screenshots,comments,programming,discord,guild,server">
        <meta name="author" content="Ammon Smith">

        <style>
            body {
                background-color: #23272A;
                color: #ffffff;
                margin: 0;
                padding: 0;
                font-family: "Courier New", Courier, monospace;
            }

            a:link, a:visited {
                color: slateblue;
            }

            .highlight-container {
                color: #23272A;
                background-color: #7289DA;
                padding: 20px;
            }

            .container {
                padding: 20px;
            }

            .subsection {
                margin: 30px;
            }

            .subsection > h3 {
                color: #7289DA;
            }

            .subsection .card {
                background-color: #36393E;
                padding: 10px;
                margin: 10px 0;
                box-shadow: 0 0 3px rgba(0, 0, 0, 0.5);
            }

            .footer {
                color: #99AAB5;
                padding: 5px;
            }

            ul {
                list-style: none;
                padding: 0;
            }
        </style>

        <title>Best of Programming</title>
    </head>

    <body>
        <center>
            <h1 class="highlight-container">Best of <a href="https://discord.gg/010z0Kw1A9ql5c1Qe">Programming</a></h1>
        </center>

        <center>
            Table of Contents
            <ul>
                <li><a href="#striking">Striking</a></li>
                <li><a href="#hatefrog">Hatefrog</a></li>
                <li><a href="#hatefrog-exploits">Hatefrog's many exploits</a></li>
                <li><a href="#kerrhau">Kerrhau (aka Hackerman)</a></li>
                <li><a href="#markov-bot">MarkovBot</a></li>
                <li><a href="#misc">Miscellaneous</a></li>
            </ul>
        </center>

        <div class="container">
            <div class="subsection">
                <h3><a name="striking">Striking Striking's Striking Striking</a></h3>
                <div class="card">
                    TL;DR <br>
                    <img src="img/ss/welcome.png">
                </div>

                <div class="card">
                    On C# programmers asking questions in <tt>#c-language</tt> <br>
                    <img src="img/ss/c-sharp-users-in-c-language.png">
                </div>

                <div class="card">
                    Striking explaining how to talk to girls <br>
                    <img src="img/ss/talking-to-girls.png">
                </div>
                <div class="card">
                    Explaining what a monad is <br>
                    <img src="img/ss/monads.png">
                </div>
            </div>

            <div class="subsection">
                <h3><a name="hatefrog">Hatefrog</a></h3>
                <div class="card">
                    After discovering an exploit <br>
                    <img src="img/ss/reactions-to-exploit.png"> <br><br>
                </div>
                <div class="card">
                    On <tt>#c-language</tt> <br>
                    <img src="img/ss/on-c-language.png"> <br><br>
                </div>
                <div class="card">
                    On open sexual discussion <br>
                    <img src="img/ss/programming-sexual-fetishes.png"> <br><br>
                </div>
                <div class="card">
                    And then when asked why he doesn't participate <br>
                    <img src="img/ss/sexual-preferences.png"> <br><br>
                </div>

            </div>

            <div class="subsection">
                <h3><a name="hatefrog-exploits">Hatefrog's (Unsolicited) Penetration Testing Service</a></h3>

                <div class="card"><img src="img/ss/bakabot.png"></div>
                <div class="card"><img src="img/ss/tatsu.png"></div>
                <div class="card"><img src="img/ss/tatsu-2.png"></div>
                <div class="card"><img src="img/ss/tatsu-3.png"></div>
                <div class="card"><img src="img/ss/tatsu-choose.png"></div>
                <div class="card"><img src="img/ss/nations-music.png"></div>
                <div class="card"><img src="img/ss/phonecord.png"></div>
                <div class="card"><img src="img/ss/ud.png"></div>
            </div>

            <div class="subsection">
                <h3><a name="kerrhau">Kerrhau (aka Hackerman)</a></h3>
                <div class="card">
                    gulag'd <br>
                    <img src="img/ss/hackerman-the-commie.png"> <br><br>
                </div>
                <div class="card">
                    Crowdfunding <br>
                    <img src="img/ss/kerrhau-enter-keyboard.png"> <br><br>
                </div>
            </div>

            <div class="subsection">
                <h3><a name="markov-bot">MarkovBot</a></h3>

                (What a <a href="https://en.wikipedia.org/wiki/Markov_chain">Markov chain</a> is) <br>

                <div class="card"><img src="img/ss/aesh-on-elixir.png"></div>
                <div class="card"><img src="img/ss/aismallard.png"></div>
                <div class="card"><img src="img/ss/striking-can't-handle-cgroups.png"></div>
            </div>

            <div class="subsection">
                <h3><a name="misc">Miscellaneous</a></h3>
                <div class="card"><img src="img/ss/windows-registry.png"></div>
            </div>
        </div>

        <center class="footer">Page last updated Sunday December 17, 2017.</center>
    </body>
</html>
